Get the caller's boards as a tree
GET
/boards/tree
const url = 'https://projects.work.optidata.cloud/api/boards/tree';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://projects.work.optidata.cloud/api/boards/tree \ --header 'Authorization: Bearer <token>'Returns the boards the user can edit or manage (including owned boards)
as a nested tree of {id, name, icon, children} nodes. Useful to render
a project picker.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Nested board tree.
Media typeapplication/json
object
data
Array<object>
object
id
integer
name
string
icon
string | null
children
Array<object> recursive
Example
{ "data": [ { "id": 42, "name": "Website Redesign", "icon": "🎨", "children": [ { "id": 51, "name": "Landing pages", "icon": "📄", "children": [] } ] } ]}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}